> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee

> Update an existing employee



## OpenAPI

````yaml patch /employee
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /employee:
    patch:
      tags:
        - Employee
      summary: Update Employee
      description: Update an existing employee
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Employee ID
          schema:
            type: string
          required: true
        - name: created_at
          in: query
          description: Employee creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: user_id
          in: query
          description: User ID
          schema:
            type: string
        - name: is_admin
          in: query
          description: Is employee an admin?
          schema:
            type: string
        - name: username
          in: query
          description: Name of employee
          schema:
            type: string
        - name: signature
          in: query
          description: Signature of employee
          schema:
            type: string
        - name: full_name
          in: query
          description: Name of employee
          schema:
            type: string
        - name: email
          in: query
          description: Email of employee
          schema:
            type: string
        - name: display_name
          in: query
          description: Displayed name of the employee in the Mateo app
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/employee'
        description: employee
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/employee'
          description: The updated Employee object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    employee:
      type: object
      properties:
        id:
          type: string
          description: Employee ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Employee creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        user_id:
          type: string
          description: User ID
          format: uuid
          nullable: true
        is_admin:
          type: boolean
          description: Is employee an admin?
          format: boolean
          default: false
          nullable: true
        username:
          type: string
          description: Name of employee
          format: text
        signature:
          type: string
          description: Signature of employee
          format: text
          nullable: true
        full_name:
          type: string
          description: Name of employee
          format: text
          nullable: true
        email:
          type: string
          description: Email of employee
          format: text
          nullable: true
        display_name:
          type: string
          description: Displayed name of the employee in the Mateo app
          format: text
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````